/**
* file
* alarm.h
* brief
* functions for alarm settings
*/


#ifndef _ALARM_H
#define _ALARM_H



#define BUZZER_SHORTa_DELAY 1
#define BUZZER_SHORTa_DURATION 2
#define BUZZER_SHORTb_DELAY 10
#define BUZZER_SHORTb_DURATION 5
#define BUZZER_LONG_DELAY 5*60
#define ALARM_DURATION 60*60



#define BUZZER_DDR DDRB
#define BUZZER_PORT PORTB
#define BUZZER_P PB1



void ALARM_Start(void);

void ALARM_Stop(void);

void BUZZER_On(void);

void BUZZER_Off(void);


#endif