/**
* file
* controls.h
* brief
* functions for using the tmer2 as RTC
*/


#ifndef _CONTROLS_H
#define _CONTROLS_H

#define ENC_PHASE_A PC4		//PCINT12 (in case of a change, c-file needs to be changed, too)
#define ENC_PHASE_B PC3		//PCINT11 (in case of a change, c-file needs to be changed, too)
//#define ENC_BUTTON PC3 //PCINT11 (in case of a change, c-file needs to be changed, too)
#define ENC_DDR DDRC
#define ENC_PORT PORTC
#define ENC_PIN PINC
#define SW_BUTTON PC5		//PCINT13 (in case of a change, c-file needs to be changed, too)
#define SW_DDR DDRC
#define SW_PORT PORTC
#define SW_PIN PINC




void CONTROLS_Init(void);
void CONTROLS_ISR_Trigger(void);
int8_t ENC_read(void);
uint8_t ENC_button(void);
uint8_t SW_button(void);

#endif