
#include "global.h"



uint8_t CalcParity (uint8_t dat[], uint8_t lower, uint8_t upper)
{
    int8_t retVal = 0;
    while(lower <= upper)
    {
        retVal ^= dat[lower];
        lower++;
    }
    return retVal;
}

void LED_On ()
{
	// if there is some abient light, enable LED with full power
	if (vddSolar >= 80)
	{
		LED_DDR |= (1 << LED_GREEN);
	}
	LED_PORT |= (1 << LED_GREEN);
}

void LED_Off ()
{
	LED_PORT &= ~(1 << LED_GREEN);
	LED_DDR &= ~(1 << LED_GREEN);
}

void LED_Toggle ()
{
	if (LED_PORT & (1 << LED_GREEN))
	{
		LED_Off ();
	}
	else
	{
		LED_On ();
	}
}
