/**
* \file
* menu.h
* \brief
* functions for LCD menu
*/


#ifndef _MENU_H
#define _MENU_H



#define  KEYCOUNT 3 // one button + encoder

#ifndef _P_FUNC
#define _P_FUNC
typedef void (*pFunc)(void);
#endif


typedef struct t
{
    struct t *prev;
    struct t *next;
    struct t *parent;
    struct t *child;
    pFunc KeyFunc[KEYCOUNT];
    pFunc DisplayFunc;
} TINYKON;


void MENU_Init(void);

void MENU_Tic(void);

void MENU_ShowTime (void);

void MENU_ShowTemp (void);

#endif