/**
* \file
* timer2RTC.h
* \brief
* functions for using the tmer2 as RTC
*/


#ifndef _TIMER2RTC_H
#define _TIMER2RTC_H


// for one day, the crystal was faster by 126/128 seconds ~1sec.
#define RTC_FIX_TICS_PER_DAY  (126*RTC_TICS_PER_SECOND)/128


void RTC_Timer2Init(void);
void RTC_ISR_Trigger (void);
void RTC_TrimmCrystalPerDay (void);

uint32_t RTC_GetCountInt32(void);

#endif