#include "global.h"
#include <stdint.h>
#include <avr/io.h>
#include <util/delay.h>
#include "spi.h"




void SPI_MasterTransmit(uint8_t data)
{
    // Start transmission
    SPDR = data;
    // Wait for transmission complete
    while (!(SPSR & (1<<SPIF))) {}
}

uint8_t SPI_MasterReceive(void)
{
    SPDR = 0xff;
    // Wait for reception complete
    while(!(SPSR & (1<<SPIF))) {}
    // Return Data Register
    return SPDR;
}


