/**
* \file
* spi.h
* \brief
* access SPI basic functions
*/


#ifndef _SPI_H
#define _SPI_H

#define SPI_DDR DDRB
#define SPI_PORT PORTB

#define SPI_SCK PB5
#define SPI_MISO PB4
#define SPI_MOSI PB3
#define SPI_SS PB2


void SPI_MasterTransmit(uint8_t data);

uint8_t SPI_MasterReceive(void);

#endif