/**
* \file
* taskHandler.h
* \brief
* hander for executing longer tasks ourside ISR
*/


#ifndef _TASKHANDLER_H
#define _TASKHANDLER_H

// typedef of pointer to functions
#ifndef _P_FUNC
#define _P_FUNC
typedef void (*pFunc)(void);
#endif

#define TASKHANDLER_SIZE 8

// task list is full, task not added
#define TASK_QUEUE_EMPTY 0
#define TASK_EXECUTED 1


void TASKhandler_Init(void);

void TASKhandler_AddTask(pFunc pAddFunc);

uint8_t TASKhandler_ExecNext(void);

#endif